/*
 *
 * InterestBearingAccount
 * Demonstration for Java 104 tutorial
 * David Reilly, February 25, 1997
 *
 */

import Account;

class InterestBearingAccount extends Account
{
	// Default interest rate of 7.95 percent (const)
	private static double default_interest = 7.95;

	// Current interest rate
	private double interest_rate;

	// Overloaded constructor accepting balance and an interest rate
	public InterestBearingAccount( double amount, double interest)
	{
		balance = amount;
		interest_rate = interest;
	}

	// Overloaded constructor accepting balance with a default interest rate
	public InterestBearingAccount( double amount )
	{
		balance = amount;
		interest_rate = default_interest;
	}

	// Overloaded constructor with empty balance and a default interest rate
	public InterestBearingAccount()
	{
		balance = 0.0;
		interest_rate = default_interest;
	}
	
	void add_monthly_interest()
	{
		// Add interest to our account
		balance = balance + 		
                        (balance * interest_rate / 100) / 12;
	}

}

